Package tck.arquillian.porting.lib.spi

# Class AbstractTestArchiveProcessor

java.lang.Object
tck.arquillian.porting.lib.spi.AbstractTestArchiveProcessor

All Implemented Interfaces:
  `org.jboss.arquillian.test.spi.enricher.resource.ResourceProvider`, `TestArchiveProcessor`

public abstract class AbstractTestArchiveProcessor extends Object implements TestArchiveProcessor, org.jboss.arquillian.test.spi.enricher.resource.ResourceProvider
A base class for `TestArchiveProcessor` implementations that also provides the required `ResourceProvider` implementation to be able to inject the `TestArchiveProcessor` instance.

- ## Nested Class Summary

  ## Nested classes/interfaces inherited from interface org.jboss.arquillian.test.spi.enricher.resource.ResourceProvider

  `org.jboss.arquillian.test.spi.enricher.resource.ResourceProvider.ClassInjection, org.jboss.arquillian.test.spi.enricher.resource.ResourceProvider.MethodInjection`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `AbstractTestArchiveProcessor()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `boolean`
  `canProvide(Class<?> type)`
  `void`
  `initalize(org.jboss.arquillian.config.descriptor.api.ArquillianDescriptor descriptor)`
  Called on completion of the Arquillian configuration.
  `Object`
  `lookup(org.jboss.arquillian.test.api.ArquillianResource resource, Annotation... qualifiers)`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

  ### Methods inherited from interface tck.arquillian.porting.lib.spi.TestArchiveProcessor

  `processClientArchive, processEarArchive, processEjbArchive, processParArchive, processRarArchive, processWebArchive`

- ## Constructor Details

  - ### AbstractTestArchiveProcessor

    public AbstractTestArchiveProcessor()

- ## Method Details

  - ### initalize

    public void initalize(@Observes org.jboss.arquillian.config.descriptor.api.ArquillianDescriptor descriptor)
    Called on completion of the Arquillian configuration. Subclasses that override this method must call super.initalize(descriptor) to ensure that the `TestArchiveProcessor` producer instance is set.
    Parameters:
      `descriptor` - the Arquillian configuration descriptor

  - ### canProvide

    public boolean canProvide(Class<?> type)
    Specified by:
      `canProvide` in interface `org.jboss.arquillian.test.spi.enricher.resource.ResourceProvider`

  - ### lookup

    public Object lookup(org.jboss.arquillian.test.api.ArquillianResource resource, Annotation... qualifiers)
    Specified by:
      `lookup` in interface `org.jboss.arquillian.test.spi.enricher.resource.ResourceProvider`